﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace _115890
{
    public partial class Form1 : Form
    {
        public enum Priority
        {
            Low = 0,
            Medium = 1,
            High = 2
        }

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataTable dt = new DataTable();
            dt.Columns.Add("id", typeof(int)).AutoIncrement = true;
            dt.Columns.Add("Priority", typeof(Priority));

            for (int i = 0; i < 10; i++)
            {
                dt.Rows.Add(null, (Priority)(i % 3));
            }


            ultraGrid1.DataSource = dt;

        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            e.Layout.Override.HeaderClickAction = Infragistics.Win.UltraWinGrid.HeaderClickAction.SortSingle;
        }
    }
}
